com.h3c.dist.sync

## Enum SyncServiceMultiOpResult.SyncServiceMultiOpStatus

- java.lang.Object
- - java.lang.Enum<SyncServiceMultiOpResult.SyncServiceMultiOpStatus>
  - - com.h3c.dist.sync.SyncServiceMultiOpResult.SyncServiceMultiOpStatus

- All Implemented Interfaces:
    Serializable, Comparable<SyncServiceMultiOpResult.SyncServiceMultiOpStatus>
  Enclosing class:
    SyncServiceMultiOpResult

      public static enum SyncServiceMultiOpResult.SyncServiceMultiOpStatus
      extends Enum<SyncServiceMultiOpResult.SyncServiceMultiOpStatus>

  Status of this operation in Multi transaction execution

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILURE` Operation execution is a failure
    `NO_ERROR` Operation execution was successful [ Withdrawn as a later operation in the batch failed ]
    `NOT_RUN` Operation is not run as one of the earlier operation in the batch is a failure

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyncServiceMultiOpResult.SyncServiceMultiOpStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SyncServiceMultiOpResult.SyncServiceMultiOpStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ERROR

          public static final SyncServiceMultiOpResult.SyncServiceMultiOpStatus NO_ERROR

      Operation execution was successful [ Withdrawn as a later operation in the batch failed ]

    - #### FAILURE

          public static final SyncServiceMultiOpResult.SyncServiceMultiOpStatus FAILURE

      Operation execution is a failure

    - #### NOT_RUN

          public static final SyncServiceMultiOpResult.SyncServiceMultiOpStatus NOT_RUN

      Operation is not run as one of the earlier operation in the batch is a failure

  - ### Method Detail

    - #### values

          public static SyncServiceMultiOpResult.SyncServiceMultiOpStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyncServiceMultiOpResult.SyncServiceMultiOpStatus c : SyncServiceMultiOpResult.SyncServiceMultiOpStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyncServiceMultiOpResult.SyncServiceMultiOpStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.